## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFlareHalo Struct Reference
[Lighting]

This is a halo which resembles a (solar) flare. More...

`#include <iengine/halo.h>`

Inheritance diagram for iFlareHalo:

[legend]
List of all members.

## Public Member Functions

virtual void | AddComponent (float pos, float w, float h, uint mode, iMaterialWrapper *image)=0
| Add a visual component to the flare.

## Detailed Description

This is a halo which resembles a (solar) flare.

Definition at line 99 of file halo.h.

## Member Function Documentation

virtual void iFlareHalo::AddComponent | ( | float | pos,
|  | float | w,
|  | float | h,
|  | uint | mode,
|  | iMaterialWrapper * | image
| ) | `[pure virtual]`

| Add a visual component to the flare. give position, size, image and mixmode. The component is added at the end of the list - to be displayed last.

The documentation for this struct was generated from the following file:

- iengine/halo.h